System.Design 1.0.5000.0 2.0.0.0 System.Drawing.Design.UITypeEditor

provides a file selection dialog box for file name selection and editing.

Provides a user interface for selecting a file name.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` ``

  A service provider is provided so that any required editing services can be obtained.

  Edits the specified object using the editor style provided by the method.

  The new value of the object. If the value of the object hasn't changed, this should return the same object it was passed.

  An that can be used to gain additional context information. A service provider object through which editing services may be obtained. An instance of the value being edited. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.UITypeEditorEditStyle ``

  If the method is not supported, this method will return .

  Gets the editing style used by the method.

  One of the values indicating the provided editing style.

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method configures the dialog box with a generic file filter and title.

  Initializes the open file dialog when it is created.

  The to use to select a file name. 1.0.5000.0 2.0.0.0